function Get-DatabasePricingTier {
    # Ask for price tier.
    [CmdletBinding()]
    param (
        [Parameter(Mandatory = $false)][string]$PricingTier,
        [Parameter(Mandatory = $false)][bool]$ConfirmAll = $false
    )

    # Allow user to use existing value or to update it.
    if ((Confirm-SingleValue -Description 'Azure SQL Database pricing tier' -Value $PricingTier -ConfirmAll $ConfirmAll) -eq $true) { return $PricingTier }    

    # Ask user.
    Write-Host # Newline.
    $params = @{
        Question = 'Select which Azure database pricing tier you want (S2 is recommended):'
        Options = @(
            'S0 - (Cheap)',
            'S1',
            'S2',
            'S3 - (Expensive)'
        )
    }
    [string]$pricingTier = Open-LSQuestion @params
    # We just want to keep the first two letters (S0, S1, S2 or S3).
    $pricingTier = $pricingTier.Substring(0,2)
    return $pricingTier
}